Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Class TaxLineResultImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.tax.TaxLineResultImpl

All Implemented Interfaces
  TaxLineResult, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class TaxLineResultImpl

extends BelongingImpl
implements TaxLineResult, Cloneable

A result returned from the tax program, the entityCode is a jurisdiction code of the taxing entity.

See Also
  `TaxLineResult`, `TaxLineResultHome`, Serialized Form

Field Summary
`String` | `entityCode` Deprecated See BEA Commerce product offering
`Price` | `tax` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TaxLineResultImpl()` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`String` | `getEntityCode()` Deprecated See BEA Commerce product offering
`Price` | `getTax()` Deprecated See BEA Commerce product offering
`String` | `interfaceName()` Deprecated See BEA Commerce product offering
`void` | `setByValue(Belonging value)` Deprecated See BEA Commerce product offering
`void` | `setEntityCode(String entityCode)` Deprecated See BEA Commerce product offering
`void` | `setTax(Price tax)` Deprecated See BEA Commerce product offering
`Belonging` | `value()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### tax

    public Price tax

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### entityCode

    public String entityCode

  Deprecated See BEA Commerce product offering
  The Geographical code for the taxing entity.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### TaxLineResultImpl

    public TaxLineResultImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getTax

    public Price getTax()

  Deprecated See BEA Commerce product offering

  Get the value of tax

  Specified by:
    `getTax` in interface `TaxLineResult`
  Returns
    tax.

### setTax

    public void setTax(Price tax)

  Deprecated See BEA Commerce product offering

  Set the value of tax

  Specified by:
    `setTax` in interface `TaxLineResult`
  Parameters
    `tax` - tax to be added

### getEntityCode

    public String getEntityCode()

  Deprecated See BEA Commerce product offering

  Get the value of entityCode

  Specified by:
    `getEntityCode` in interface `TaxLineResult`
  Returns
    entityCode.

### setEntityCode

    public void setEntityCode(String entityCode)

  Deprecated See BEA Commerce product offering

  Set the value of entityCode

  Specified by:
    `setEntityCode` in interface `TaxLineResult`
  Parameters
    `entityCode` - entityCode to be added

### value

    public Belonging value()

  Deprecated See BEA Commerce product offering

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated See BEA Commerce product offering

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated See BEA Commerce product offering

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved